> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد إمكانات مزوّدي المعالجة على دفعات

> يرجع دعم أوضاع إدخال الدفعات على مستوى المزوّد لرفع الملفات وإنشاء الدفعات من قائمة طلبات.

يتطلب الوصول إلى الميزات التجريبية في مساحة العمل. راجع [مهام الفيديو والمعالجة على دفعات](../../guides/async-video-and-batch.mdx) لمعرفة الإعداد والويب هوك والتعامل مع النتائج.


## OpenAPI

````yaml ar/openapi/v1/openapi.localized.yaml GET /batches/capabilities
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    واجهة API للبوابة تتيح الوصول إلى نماذج ذكاء اصطناعي متنوعة عبر نقاط نهاية
    متوافقة مع OpenAI.
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: التوجيه العالمي
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /batches/capabilities:
    get:
      tags:
        - Gateway
      summary: عرض قدرات مزوّدي الدفعات
      description: >-
        يرجع دعم أوضاع إدخال الدفعات على مستوى المزوّد لرفع الملفات وإنشاء
        الدفعات من قائمة طلبات.
      operationId: listBatchCapabilities
      responses:
        '200':
          description: قائمة قدرات مزوّدي الدفعات
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    example: list
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/BatchProviderCapability'
components:
  schemas:
    BatchProviderCapability:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - active
            - planned
        gateway_input_modes:
          type: array
          items:
            type: string
            enum:
              - file
              - requests
        native_input_modes:
          type: array
          items:
            type: string
            enum:
              - file
              - requests
        documentation_url:
          type: string
          format: uri
        notes:
          type: string
          nullable: true
        endpoints:
          type: array
          description: نقاط نهاية الدفعات التي يدعمها هذا المزوّد.
          items:
            type: object
            required:
              - endpoint
              - mode
            properties:
              endpoint:
                type: string
              mode:
                type: string
                enum:
                  - native
                  - translated
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: المصادقة باستخدام رمز Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.